<?php

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @package    Mindd_Widget
 * @subpackage Mindd_Widget/includes
 */
class Mindd_Widget_Activator {

	/**
	 * Executed on plugin activation.
	 *
	 * @return void
	 */
	public static function activate() {

		// Save default settings.
		$options = get_option( 'mindd_widget' );

		if ( false === $options ) {
			$default_settings = array(
				'mindd_widget_modal_display_mode'     => 'full',
				'mindd_widget_show_language_selector' => 'true',
				'mindd_widget_default_language_code'  => 'NL',
				'mindd_widget_layout'                 => 'top',
				'mindd_widget_accent_color'           => '#000',
				'mindd_widget_background'             => '#FFF',
				'mindd_widget_foreground'             => '#FFF',
				'mindd_widget_font_family'            => 'Montserrat',
			);

			update_option( 'mindd_widget', $default_settings );
		}
	}

}
