<?php
/**
 * Plugin Name:       MINDD Widget
 * Description:       Widget
 * Text Domain:       mindd-widget
 * Domain Path:       /languages
 * Update URI:        stockroom.mindd.dev
 * Version:           2.0.0
 * Author:            MINDD
 *
 * @package Mindd_Widget
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'MINDD_WIDGET_PLUGIN_VERSION', '2.0.0' );

/**
 * The name of the plugin.
 */
define( 'MINDD_WIDGET_PLUGIN_NAME', 'mindd-widget' );

/**
 * The code that runs during plugin activation.
 *
 * @return void
 */
function mindd_widget_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-mindd-widget-activator.php';
	Mindd_Widget_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 *
 * @return void
 */
function mindd_widget_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-mindd-widget-deactivator.php';
	Mindd_Widget_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'mindd_widget_activate' );
register_deactivation_hook( __FILE__, 'mindd_widget_deactivate' );

/**
 * The core plugin class that is used to define internationalization, admin-specific hooks, and public-facing site hooks.
 *
 * @return void
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-mindd-widget.php';

/**
 * Begins execution of the plugin.
 *
 * @return void
 */
function mindd_widget_run() {
	$plugin = new Mindd_Widget();
	$plugin->run();
}
mindd_widget_run();
